%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate rust_decimal

Name:           rust-rust_decimal
Version:        1.35.0
Release:    2%{?dist}
Summary:        Decimal number implementation written in pure Rust

License:        MIT
URL:            https://crates.io/crates/rust_decimal
Source0:         %{crates_source}
Patch:          rust_decimal-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Decimal number implementation written in pure Rust suitable for
financial and fixed-precision calculations.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/BUILD.md
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+c-repr-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+c-repr-devel %{_description}

This package contains library source intended for building other packages which
use the "c-repr" feature of the "%{crate}" crate.

%files       -n %{name}+c-repr-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+legacy-ops-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+legacy-ops-devel %{_description}

This package contains library source intended for building other packages which
use the "legacy-ops" feature of the "%{crate}" crate.

%files       -n %{name}+legacy-ops-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+maths-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+maths-devel %{_description}

This package contains library source intended for building other packages which
use the "maths" feature of the "%{crate}" crate.

%files       -n %{name}+maths-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+maths-nopanic-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+maths-nopanic-devel %{_description}

This package contains library source intended for building other packages which
use the "maths-nopanic" feature of the "%{crate}" crate.

%files       -n %{name}+maths-nopanic-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+proptest-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+proptest-devel %{_description}

This package contains library source intended for building other packages which
use the "proptest" feature of the "%{crate}" crate.

%files       -n %{name}+proptest-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rand-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rand-devel %{_description}

This package contains library source intended for building other packages which
use the "rand" feature of the "%{crate}" crate.

%files       -n %{name}+rand-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rkyv-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rkyv-devel %{_description}

This package contains library source intended for building other packages which
use the "rkyv" feature of the "%{crate}" crate.

%files       -n %{name}+rkyv-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rkyv-safe-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rkyv-safe-devel %{_description}

This package contains library source intended for building other packages which
use the "rkyv-safe" feature of the "%{crate}" crate.

%files       -n %{name}+rkyv-safe-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-arbitrary-precision-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-arbitrary-precision-devel %{_description}

This package contains library source intended for building other packages which
use the "serde-arbitrary-precision" feature of the "%{crate}" crate.

%files       -n %{name}+serde-arbitrary-precision-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-bincode-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-bincode-devel %{_description}

This package contains library source intended for building other packages which
use the "serde-bincode" feature of the "%{crate}" crate.

%files       -n %{name}+serde-bincode-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-float-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-float-devel %{_description}

This package contains library source intended for building other packages which
use the "serde-float" feature of the "%{crate}" crate.

%files       -n %{name}+serde-float-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-str-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-str-devel %{_description}

This package contains library source intended for building other packages which
use the "serde-str" feature of the "%{crate}" crate.

%files       -n %{name}+serde-str-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-with-arbitrary-precision-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-with-arbitrary-precision-devel %{_description}

This package contains library source intended for building other packages which
use the "serde-with-arbitrary-precision" feature of the "%{crate}" crate.

%files       -n %{name}+serde-with-arbitrary-precision-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-with-float-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-with-float-devel %{_description}

This package contains library source intended for building other packages which
use the "serde-with-float" feature of the "%{crate}" crate.

%files       -n %{name}+serde-with-float-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-with-str-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-with-str-devel %{_description}

This package contains library source intended for building other packages which
use the "serde-with-str" feature of the "%{crate}" crate.

%files       -n %{name}+serde-with-str-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde_json-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_json-devel %{_description}

This package contains library source intended for building other packages which
use the "serde_json" feature of the "%{crate}" crate.

%files       -n %{name}+serde_json-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test -- --lib
%endif

%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.35.0-2
- Rebuilt for loongarch64

* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.35.0-1
- initial build
